Qlik Community

Ask a Question

Integration, Extension & APIs

Discussion board where members can learn more about Integration, Extensions and API’s for Qlik Sense.

Announcements
Support Cases coming to Qlik Community Oct. 4! Start chats, open cases, explore resources: READ DETAILS
cancel
Showing results for 
Search instead for 
Did you mean: 
nferna001
Partner
Partner

September 2018 patch / JS API Network error

Hello

I'm posting this in order to help out any developers having trouble developing locally, grabbing the qlik servers' API files.

I've been having trouble getting the "require.js" with the latest patch, resulting in a "Network error" from the a file called something like "vendors~common-amd~connector-amd~extension-amd~setup-mashup.js"

This is due to the connection not being secured from the dev side (http->https).

What you can do is generate a certificate for development purposes and use it with an https supported webserver. https://certificatetools.com has a nice interface that can help generate the file or, if you prefer the command line, you can download OpenSSL.

My main issue was Chrome. You need to install the certificate on your machine, and run an instance of chrome with the following arguments, in order to ignore the cross-origin rules:

chrome.exe --args --disable-web-security --user-data-dir="c:/tmp/chrome"

If everything goes well, you can grab the required files and continue development

 

Good luck!

 

Nuno F

1 Reply
pablolabbe
Luminary Alumni
Luminary Alumni

Please, remember to post questions related to the product in the correct discussion board.

Here is the list of discussion board for qlik products,  https://community.qlik.com/t5/Qlik-Products/ct-p/qlik-products

 This post will be moved to the correct discussion board soon.

Thanks, Pablo